Ticket #37 (closed defect: fixed)

Opened 14 years ago

Last modified 14 years ago

Please upload packages to pypi / change download url so easy_install and buildout can work

Reported by: laurencerowe Owned by: jerome
Priority: major Milestone: 1.27 final
Component: pkipplib Version: development
Keywords: Cc:

Description

The download url linked from pypi does not provide direct links to the package tarballs -- Plone's folder listing links to <file-url>/view. For easy_install pkipplib or buildout to work either upload packages to pypi, python setup.py sdist register upload, or use http://www.pykota.com/software/pkipplib/download/tarballs/pkipplib-0.07.tar.gz/view as the download url.

Change History

Changed 14 years ago by jerome

  • status changed from new to closed
  • resolution set to wontfix

In my not so humble opinion easy_install is conceptually broken. In addition, a severe bug I've reported was never fixed, its authors didn't even seem to understand the problem (read the entire thread at http://markmail.org/message/slqix5odqlrf2ma5), so I don't care much about all this broken stuff anymore.

Finally :

jerome@lafrime:/tmp$ wget "http://www.pykota.com/software/pkipplib/download/tarballs/pkipplib-0.07.tar.gz"
--2009-01-06 20:36:58--  http://www.pykota.com/software/pkipplib/download/tarballs/pkipplib-0.07.tar.gz
Résolution de www.pykota.com... 92.243.13.115
Connexion vers www.pykota.com|92.243.13.115|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 18704 (18K) [application/x-tar]
Saving to: `pkipplib-0.07.tar.gz'

100%[===================================================================>] 18 704       113K/s   in 0,2s    

2009-01-06 20:36:59 (113 KB/s) - « pkipplib-0.07.tar.gz » sauvegardé [18704/18704]

jerome@lafrime:/tmp$ tar -zvtf pkipplib-0.07.tar.gz 
drwxr-xr-x jerome/jerome     0 2006-06-24 15:58 pkipplib-0.07/
drwxr-xr-x jerome/jerome     0 2006-06-24 15:58 pkipplib-0.07/bin/
-rwxr-xr-x jerome/jerome  7640 2006-06-24 15:31 pkipplib-0.07/bin/pksubscribe
drwxr-xr-x jerome/jerome     0 2006-06-24 15:58 pkipplib-0.07/notifiers/
-rwxr-xr-x jerome/jerome  1388 2006-06-24 15:52 pkipplib-0.07/notifiers/samplenotifier
drwxr-xr-x jerome/jerome     0 2006-06-24 15:58 pkipplib-0.07/pkipplib/
-rw-r--r-- jerome/jerome   892 2006-05-22 18:32 pkipplib-0.07/pkipplib/__init__.py
-rw-r--r-- jerome/jerome 30023 2006-06-24 15:56 pkipplib-0.07/pkipplib/pkipplib.py
-rw-r--r-- jerome/jerome  1764 2006-06-21 20:32 pkipplib-0.07/pkipplib/version.py
-rw-r--r-- jerome/jerome 18011 2005-11-12 11:20 pkipplib-0.07/COPYING
-rw-r--r-- jerome/jerome    95 2006-06-24 15:57 pkipplib-0.07/MANIFEST.in
-rw-r--r-- jerome/jerome  5527 2006-06-24 15:56 pkipplib-0.07/README
-rwxr-xr-x jerome/jerome  1145 2006-05-22 21:23 pkipplib-0.07/clean.sh
-rwxr-xr-x jerome/jerome  1401 2006-06-24 15:36 pkipplib-0.07/setup.py
-rw-r--r-- jerome/jerome   268 2006-06-24 15:58 pkipplib-0.07/PKG-INFO
jerome@lafrime:/tmp$ 

From what you can see above, and as I've told even higher, easy_install is entirely broken, not PyKota nor pkipplib.


Changed 14 years ago by laurencerowe

  • status changed from closed to reopened
  • resolution deleted

The download_url should link to a page that contains a link to the tarball, not the tarball itself - that's why I'm suggesting using .../pkipplib-0.07.tar.gz/view rather than .../pkipplib-0.07.tar.gz as the download url.

While easy_install certainly has it's drawbacks, zc.buildout is a great way of managing a complex application installation - we do Plone sites for a living. To include pkipplib in the site buildout (so I can send labels to a printer) I have to add a specific find-links for it. The point of pypi is to centralise this information. It means I should only need to include the pkipplib dependency in my package and the whole thing will install.

Uploading the tarball to pypi would also fix the problem. I'd be happy to do it myself if you give my pypi account (laurencerowe) the permissions on that package.

Changed 14 years ago by jerome

  • status changed from reopened to closed
  • resolution set to fixed

OK I had probably misunderstood the last part of your request. You're now a maintainer of pkipplib on PyPi so please do what you feel has to be done. The problem with this site, if I understand it correctly, is that each and every new release has to be registered and/or uploaded. It would be great if pypi could automatically detect when a new release is available by polling download pages from time to time. Obviously if you must specify the tarball's name in the download url, this won't be possible.

Note: See TracTickets for help on using tickets.